org.springframework.mock.web.portlet

## Class MockPortletURL

- java.lang.Object
- - org.springframework.mock.web.portlet.MockBaseURL
  - - org.springframework.mock.web.portlet.MockPortletURL

All Implemented Interfaces:
  BaseURL, PortletURL

    public class MockPortletURL
    extends MockBaseURL
    implements PortletURL

Mock implementation of the `PortletURL` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

### Field Summary

Fields
`static String` `URL_TYPE_ACTION`
`static String` `URL_TYPE_RENDER`

### Fields inherited from class org.springframework.mock.web.portlet.MockBaseURL

`parameters`

### Constructor Summary

Constructors
Constructor and Description
`MockPortletURL(PortalContext portalContext, String urlType)` Create a new MockPortletURL for the given URL type.

### Method Summary

Methods
`PortletMode` `getPortletMode()`
`WindowState` `getWindowState()`
`void` `removePublicRenderParameter(String name)`
`void` `setPortletMode(PortletMode portletMode)`
`void` `setWindowState(WindowState windowState)`
`String` `toString()`

### Methods inherited from class org.springframework.mock.web.portlet.MockBaseURL

`addProperty, encodeParameter, encodeParameter, getParameter, getParameterMap, getParameterNames, getParameterValues, getProperties, isSecure, setParameter, setParameter, setParameters, setProperty, setSecure, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.portlet.BaseURL

`addProperty, getParameterMap, setParameter, setParameter, setParameters, setProperty, setSecure, write, write`

### Field Detail

#### URL_TYPE_RENDER

    public static final String URL_TYPE_RENDER

See Also:
  Constant Field Values

#### URL_TYPE_ACTION

    public static final String URL_TYPE_ACTION

See Also:
  Constant Field Values

### Constructor Detail

#### MockPortletURL

    public MockPortletURL(PortalContext portalContext,
                  String urlType)

Create a new MockPortletURL for the given URL type.

Parameters:
  `portalContext` - the PortalContext defining the supported PortletModes and WindowStates
  `urlType` - the URL type, for example "render" or "action"
See Also:
  `URL_TYPE_RENDER`, `URL_TYPE_ACTION`

### Method Detail

#### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

Specified by:
  `setWindowState` in interface `PortletURL`
Throws:
  `WindowStateException`

#### getWindowState

    public WindowState getWindowState()

Specified by:
  `getWindowState` in interface `PortletURL`

#### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

Specified by:
  `setPortletMode` in interface `PortletURL`
Throws:
  `PortletModeException`

#### getPortletMode

    public PortletMode getPortletMode()

Specified by:
  `getPortletMode` in interface `PortletURL`

#### removePublicRenderParameter

    public void removePublicRenderParameter(String name)

Specified by:
  `removePublicRenderParameter` in interface `PortletURL`

#### toString

    public String toString()

Specified by:
  `toString` in interface `BaseURL`
Overrides:
  `toString` in class `Object`